### Method

# Gdk MemoryTextureBuilder build

since: 4.16

#### Declaration [src]

    GdkTexture*
    gdk_memory_texture_builder_build (
      GdkMemoryTextureBuilder* self
    )

#### Description [src]

Builds a new `GdkTexture` with the values set up in the builder.

Note that it is a programming error to call this function if any mandatory property has not been set.

It is possible to call this function multiple times to create multiple textures, possibly with changing properties in between.

Available since: 4.16

#### Return value

Type: `GdkTexture`

A newly built `GdkTexture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.